#!/bin/bash
if [ ! -n "$1" ]
then
  echo "Please specify the location to setup the database cluster"
  exit $E_BADARGS
fi  

echo "Initialise database cluster at '`$1`' using locale 'en_us.utf-8' encoding 'UTF8' under owner '`whoami`'"
sudo mkdir $1
sudo chown `whoami` $1
sudo -u `whoami` initdb -D $1 --locale=en_us.utf-8 -E UTF8

echo "Starting postgres"
postgres -D $1 &

echo "Create a superuser 'bootstrap' that can create database and echo its statements"
sudo -u `whoami` createuser -w -d -e bootstrap

echo "Create database 'ideas' as 'bootstrap'"
createdb ideas -l en_us.utf-8 -E UTF8 -O bootstrap -U bootstrap

export DATABASE_URL=postgres://bootstrap@localhost/ideas
