/* 
 * This file is part of ideas.
 *
 *  ideas is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *  
 *  ideas is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Lesser General Public License for more details.
 *  
 *  You should have received a copy of the GNU Lesser General Public License
 *  along with ideas.  If not, see <http://www.gnu.org/licenses/>.
 *  
 * (c) Keith Webster Johnston & Markos Charatzas 
 */
package ideas.persistence;


/**
 * Provides access to {@link Key}s
 * 
 * @author Markos Charatzas [@qnoid]
 *
 */
public final class Keys 
{
	/**
	 * Returns a new Key for the specified type with the given value
	 * 
	 * @param type the type of the entity
	 * @param value a value for its id 
	 * @return a new key
	 */
	public static <T, K extends Object> Key<T> of(final Class<T> type, final K value) 
	{
	return new Key<T>() 
		{
			@Override
			public Class<T> type() {
			return type;
			}
	
			@Override
			public Object value() {
			return value;
			}
		};
	}
}
