/* 
 * This file is part of ideas.
 *
 *  ideas is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *  
 *  ideas is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Lesser General Public License for more details.
 *  
 *  You should have received a copy of the GNU Lesser General Public License
 *  along with ideas.  If not, see <http://www.gnu.org/licenses/>.
 *  
 * (c) Keith Webster Johnston & Markos Charatzas 
 */
package ideas.persistence;

import ideas.annotations.UnitOfWorkType;

/**
 * Implementations provide a way to set the value to an 
 * {@link UnitOfWorkType annotated} field of type {@link UnitOfWork}
 * 
 * @see StaticUnitOfWorkBinder
 * @author Markos Charatzas [@qnoid]
 *
 */
public interface UnitOfWorkBinder {

	/**
	 * @param unitOfWork
	 */
	public <U extends UnitOfWork> void bind(U unitOfWork);

}