/* 
 * This file is part of ideas.
 *
 *  ideas is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *  
 *  ideas is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Lesser General Public License for more details.
 *  
 *  You should have received a copy of the GNU Lesser General Public License
 *  along with ideas.  If not, see <http://www.gnu.org/licenses/>.
 *  
 * (c) Keith Webster Johnston & Markos Charatzas 
 */
package ideas.persistence;

/**
 * Provides access to all available {@link UnitOfWorkBinder}s
 * 
 * @author Markos Charatzas [@qnoid]
 *
 */
public final class UnitOfWorkBinders 
{
  /**
   * An no-op binder
   */
	public static final UnitOfWorkBinder NO_OP = new UnitOfWorkBinder() {
		
		@Override
		public <U extends UnitOfWork> void bind(U unitOfWork) {
			
		}
	};

}
