/* 
 * This file is part of ideas.
 *
 *  ideas is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *  
 *  ideas is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Lesser General Public License for more details.
 *  
 *  You should have received a copy of the GNU Lesser General Public License
 *  along with ideas.  If not, see <http://www.gnu.org/licenses/>.
 *  
 * (c) Keith Webster Johnston & Markos Charatzas 
 */
package ideas.persistence;

/**
 * Thrown from a {@link UnitOfWork}
 * 
 * @author Markos Charatzas [@qnoid]
 *
 */
public class UnitOfWorkException extends RuntimeException 
{
	/**
	 * 
	 */
	private static final long serialVersionUID = -7433709012029514073L;

	public UnitOfWorkException() {
		super();
	}

	public UnitOfWorkException(String message, Throwable cause) {
		super(message, cause);
	}

	public UnitOfWorkException(String message) {
		super(message);
	}

	public UnitOfWorkException(Throwable cause) {
		super(cause);
	}	
}
