/* (c) Keith Webster Johnston & Markos Charatzas 
 * All Rights Reserved.
 */
package ideas.domain;

import ideas.persistence.UnitOfWorkDecorator;
import ideas.persistence.UnitsOfWork;

import java.util.List;

import junit.framework.Assert;

import org.junit.Test;

/**
 * @author Markos Charatzas [@qnoid]
 *
 */
public class IdeasTest 
{
	/**
   * 
   */
  private static final UnitsOfWork UNIT_OF_WORKS = UnitsOfWork.newInstance();
  
	@Test
	public void testSingleton() 
	{
	  UnitOfWorkDecorator unitOfWork = 
	      UNIT_OF_WORKS.decorate( UNIT_OF_WORKS.newLongUnitOfWork() );

	  unitOfWork.createfromListResource(Ideas.singleton());
	  
		List<Idea> list = unitOfWork.list(Idea.NamedQueries.LIST_ALL);
		
		Assert.assertEquals(1, list.size());
		
		unitOfWork.done();
	}	
}
