/* 
 * This file is part of ideas.
 *
 *  ideas is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *  
 *  ideas is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Lesser General Public License for more details.
 *  
 *  You should have received a copy of the GNU Lesser General Public License
 *  along with ideas.  If not, see <http://www.gnu.org/licenses/>.
 *  
 * (c) Keith Webster Johnston & Markos Charatzas 
 */
package ideas.persistence;

import ideas.annotations.UnitOfWorkType;
import junit.framework.Assert;

import org.junit.Test;

/**
 * @author Markos Charatzas [@qnoid]
 *
 */
public class StaticUnitOfWorkBinderTest
{
  @UnitOfWorkType
  private static UnitOfWork actual;

  @Test
  public void testBind() 
  {
    UnitsOfWork unitOfWorks = UnitsOfWork.newInstance();
    
    UnitOfWorkBinder binder = 
        StaticUnitOfWorkBinder.newBinder(StaticUnitOfWorkBinderTest.class);
    
    AtomicUnitOfWork unitOfWork = unitOfWorks.newAtomicUnitOfWork();
    binder.bind( unitOfWork );
    
    Assert.assertEquals(unitOfWork, actual);
  }

}
